From e3af7250d96fc7fbe2e368db5dcbe26da773a315 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Mon, 30 Nov 2015 00:52:14 -0500
Subject: [PATCH 2001/2002] MacPorts Only: Don't check for the macosx.internal
 SDK

https://llvm.org/bugs/show_bug.cgi?id=25677

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 cmake/Modules/CompilerRTDarwinUtils.cmake | 11 -----------
 1 file changed, 11 deletions(-)

diff --git llvm_master/projects/compiler-rt/cmake/Modules/CompilerRTDarwinUtils.cmake macports_master/projects/compiler-rt/cmake/Modules/CompilerRTDarwinUtils.cmake
index 28d398672..92a51cfe8 100644
--- llvm_master/projects/compiler-rt/cmake/Modules/CompilerRTDarwinUtils.cmake
+++ macports_master/projects/compiler-rt/cmake/Modules/CompilerRTDarwinUtils.cmake
@@ -5,14 +5,6 @@ include(CMakeParseArguments)
 # the current Xcode.
 function(find_darwin_sdk_dir var sdk_name)
   # Let's first try the internal SDK, otherwise use the public SDK.
-  execute_process(
-    COMMAND xcodebuild -version -sdk ${sdk_name}.internal Path
-    RESULT_VARIABLE result_process
-    OUTPUT_VARIABLE var_internal
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-    ERROR_FILE /dev/null
-  )
-  if((NOT result_process EQUAL 0) OR "" STREQUAL "${var_internal}")
     execute_process(
       COMMAND xcodebuild -version -sdk ${sdk_name} Path
       RESULT_VARIABLE result_process
@@ -20,9 +12,6 @@ function(find_darwin_sdk_dir var sdk_name)
       OUTPUT_STRIP_TRAILING_WHITESPACE
       ERROR_FILE /dev/null
     )
-  else()
-    set(${var}_INTERNAL ${var_internal} PARENT_SCOPE)
-  endif()
   if(result_process EQUAL 0)
     set(${var} ${var_internal} PARENT_SCOPE)
   endif()
-- 
2.11.0

